aboutsummaryrefslogtreecommitdiff
path: root/scripts/check.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/check.in')
-rwxr-xr-xscripts/check.in21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/check.in b/scripts/check.in
new file mode 100755
index 000000000..a90061a57
--- /dev/null
+++ b/scripts/check.in
@@ -0,0 +1,21 @@
+#!/bin/bash
+# check : shorthand for make and ctest -R
+
+if [[ $# != 1 || $1 == *help ]]
+then
+ echo "usage: ./check regexp"
+ echo " Builds and runs tests matching the regexp."
+ echo " The EIGEN_MAKE_ARGS environment variable allows to pass args to 'make'."
+ echo " For example, to launch 5 concurrent builds, use EIGEN_MAKE_ARGS='-j5'"
+ echo " The EIGEN_CTEST_ARGS environment variable allows to pass args to 'ctest'."
+ echo " For example, with CTest 2.8, you can use EIGEN_CTEST_ARGS='-j5'."
+ exit 0
+fi
+
+if [ -n "${EIGEN_CTEST_ARGS:+x}" ]
+then
+ ./buildtests.sh "$1" && ctest -R "$1" ${EIGEN_CTEST_ARGS}
+else
+ ./buildtests.sh "$1" && ctest -R "$1"
+fi
+exit $?